#include <bitset>
#include <cstdint>
#include <iostream>
using namespace std;
using ll = int64_t;

ll const maxx{ll(1e6+5)};
ll t,x,minPrim[maxx],isSeven[maxx];
bitset<maxx>isPrim;

void initPrim(){
    isPrim.set();
    for(ll i{2};i<=maxx;i++){
        if(isPrim[i]){
            for(ll j{i+i};j<=maxx;j+=i){
                isPrim[j]=false;
                if(!minPrim[j]){
                    minPrim[j]=i;
                }
            }
        }
    }
}

bool check(ll const& num){
    if(isSeven[num]!=0)return isSeven[num]==-1?false:true;
    ll tmp{num};
    while(tmp!=0){
        if(tmp%10==7){
            isSeven[num]=true;
            return true;
        }
    }
    isSeven[num]=-1;
    return false;
}

int main(){
    ios::sync_with_stdio(false),cin.tie(nullptr),cout.tie(nullptr);

    initPrim();

    for(ll i{1};i<=10;i++){
        cout<<isPrim[i]<<' ';
    }
    cout<<'\n';
    for(ll i{1};i<=10;i++){
        cout<<minPrim[i]<<' ';
    }
    cout<<'\n';

    cin>>t;
    while(t--){
        cin>>x;
        while(x!=0){
            if(check(minPrim[x])){
                
            }
        }
    }
}